Subject: bug#43760: cuirass: fail to install with simple configuration

From: Jonathan Brielmaier <[email-masked]>
Date: Fri, 2 Oct 2020 13:11:49 +0200

Hi,

I'm trying to set up a simple cuirass server. But in the last month I
never got it working. This time I tried with help from Mathieu.

cuirass-spec:
```
(define %cuirass-specs
  '((#:name . "my-manifest")
    (#:load-path-inputs . ("guix"))
    (#:package-path-inputs . ())
    (#:proc-input . "guix")
    (#:proc-file . "build-aux/cuirass/gnu-system.scm")
    (#:proc . cuirass-jobs)
    (#:proc-args (subset . "all"))
    (#:inputs . (((#:name . "guix")
                  (#:url . "git://git.savannah.gnu.org/guix.git")
                  (#:load-path . ".")
                  (#:branch . "master")
                  (#:no-compile? . #t))
                 ((#:name . "jonsger-guix")
                  (#:url . "https://gitlab.com/jonsger/jonsger-guix.git")
                  (#:load-path . ".")
                  (#:branch . "master")
                  (#:no-compile? . #t))))
    (#:build-outputs . ())))
(list %cuirass-specs)
```

Used as:
```
(service cuirass-service-type
         (cuirass-configuration
           (specifications %cuirass-specs)
           (use-substitutes? #t)))
```

Gives following error when reconfiguring this system:
```
Backtrace:
In guix/status.scm:
    776:4 19 (call-with-status-report _ _)
In guix/scripts/system.scm:
   1170:4 18 (_)
In ice-9/boot-9.scm:
  1736:10 17 (with-exception-handler _ _ #:unwind? _ #:unwind-for-type _)
In guix/store.scm:
   631:37 16 (thunk)
   1300:8 15 (call-with-build-handler _ _)
   1300:8 14 (call-with-build-handler _ _)
   1300:8 13 (call-with-build-handler #<procedure 7fc206bd3450 at
guix/ui.scm:1166:2 (continue store things mode)> _)
  2042:24 12 (run-with-store #<store-connection 256.99 7fc202e2af50> _
#:guile-for-build _ #:system _ #:target _)
In guix/scripts/system.scm:
   840:13 11 (_ _)
   748:13 10 (_ _)
In ice-9/boot-9.scm:
    152:2  9 (with-fluid* _ _ _)
In unknown file:
           8 (primitive-load
"/gnu/store/ki892f95cw5i48r165k6di4n3wb2d2cc-switch-to-system.scm")
           7 (primitive-load
"/gnu/store/smpbrrw738f6ncpgrlw4h9qwbgr2vwaa-activate.scm")
In ice-9/boot-9.scm:
   260:13  6 (for-each #<procedure primitive-load (_)> _)
In unknown file:
           5 (primitive-load
"/gnu/store/z2yjxn8c7spiql4cdv6ydkvrqbdl85kd-activate-service.scm")
In ice-9/eval.scm:
    619:8  4 (_ #(#<directory (guile-user) 7fc2119e1f00> 980 982))
In ice-9/ports.scm:
   461:11  3 (call-with-output-file #f #<procedure 7fc202f17940 at
ice-9/boot-9.scm:803:2 _> #:binary _ #:encoding _)
In unknown file:
           2 (open-file #f "w" #:encoding #f)
In ice-9/boot-9.scm:
  1669:16  1 (raise-exception _ #:continuable? _)
  1669:16  0 (raise-exception _ #:continuable? _)

ice-9/boot-9.scm:1669:16: In procedure raise-exception:
Wrong type (expecting string): #f
```